`timescale 1 ns/100 ps
// Version: 10.0 10.0.9.37


module MSSTOP(
       MSSPSEL,
       MSSPENABLE,
       MSSPWRITE,
       MSSPREADY,
       MSSPSLVERR,
       FABPSEL,
       FABPENABLE,
       FABPWRITE,
       FABPREADY,
       FABPSLVERR,
       FAB_CLK,
       M2F_RESET_N,
       FABACETRIG,
       MSSPADDR,
       MSSPRDATA,
       MSSPWDATA,
       FABPADDR,
       FABPRDATA,
       FABPWDATA,
       ACEFLAGS,
       ADCDirectInput_0,
       ADCDirectInput_1,
       ADCDirectInput_2,
       SDD_0,
       SDD_1,
       VAREF0,
       VAREF1,
       MSS_RESET_N_0
    );
output MSSPSEL;
output MSSPENABLE;
output MSSPWRITE;
input  MSSPREADY;
input  MSSPSLVERR;
input  FABPSEL;
input  FABPENABLE;
input  FABPWRITE;
output FABPREADY;
output FABPSLVERR;
output FAB_CLK;
output M2F_RESET_N;
input  FABACETRIG;
output [19:0] MSSPADDR;
input  [31:0] MSSPRDATA;
output [31:0] MSSPWDATA;
input  [31:0] FABPADDR;
output [31:0] FABPRDATA;
input  [31:0] FABPWDATA;
output [31:0] ACEFLAGS;
input  ADCDirectInput_0;
input  ADCDirectInput_1;
input  ADCDirectInput_2;
output SDD_0;
output SDD_1;
input  VAREF0;
input  VAREF1;
input  MSS_RESET_N_0;

    wire MSS_ACE_0_ADC0_Y, MSS_ACE_0_ADC1_Y, MSS_ACE_0_ADC2_Y, 
        MSS_ACE_0_SDD0_D, MSS_ACE_0_SDD1_D, MSS_ACE_0_VAREF0_Y, 
        MSS_ACE_0_VAREF1_Y, MSS_ADLIB_INST_EMCCLK, MSS_ADLIB_INST_FCLK, 
        MSS_ADLIB_INST_MACCLK, MSS_ADLIB_INST_MACCLKCCC, 
        MSS_ADLIB_INST_PLLLOCK, MSS_RESET_0_MSS_RESET_N_Y, GND_net, 
        VCC_net;
    
    INBUF_A MSS_ACE_0_VAREF1 (.PAD(VAREF1), .Y(MSS_ACE_0_VAREF1_Y));
    INBUF_A MSS_ACE_0_ADC2 (.PAD(ADCDirectInput_2), .Y(
        MSS_ACE_0_ADC2_Y));
    INBUF_A MSS_ACE_0_ADC0 (.PAD(ADCDirectInput_0), .Y(
        MSS_ACE_0_ADC0_Y));
    GND GND (.Y(GND_net));
    OUTBUF_A MSS_ACE_0_SDD1 (.D(MSS_ACE_0_SDD1_D), .PAD(SDD_1));
    VCC VCC (.Y(VCC_net));
    MSS_APB #( .ACT_CONFIG(0), .ACT_DIE("IP4X3M1"), .ACT_FCLK(100000000)
        , .ACT_PKG("cs288") )  MSS_ADLIB_INST (.MSSPADDR({MSSPADDR[19], 
        MSSPADDR[18], MSSPADDR[17], MSSPADDR[16], MSSPADDR[15], 
        MSSPADDR[14], MSSPADDR[13], MSSPADDR[12], MSSPADDR[11], 
        MSSPADDR[10], MSSPADDR[9], MSSPADDR[8], MSSPADDR[7], 
        MSSPADDR[6], MSSPADDR[5], MSSPADDR[4], MSSPADDR[3], 
        MSSPADDR[2], MSSPADDR[1], MSSPADDR[0]}), .MSSPWDATA({
        MSSPWDATA[31], MSSPWDATA[30], MSSPWDATA[29], MSSPWDATA[28], 
        MSSPWDATA[27], MSSPWDATA[26], MSSPWDATA[25], MSSPWDATA[24], 
        MSSPWDATA[23], MSSPWDATA[22], MSSPWDATA[21], MSSPWDATA[20], 
        MSSPWDATA[19], MSSPWDATA[18], MSSPWDATA[17], MSSPWDATA[16], 
        MSSPWDATA[15], MSSPWDATA[14], MSSPWDATA[13], MSSPWDATA[12], 
        MSSPWDATA[11], MSSPWDATA[10], MSSPWDATA[9], MSSPWDATA[8], 
        MSSPWDATA[7], MSSPWDATA[6], MSSPWDATA[5], MSSPWDATA[4], 
        MSSPWDATA[3], MSSPWDATA[2], MSSPWDATA[1], MSSPWDATA[0]}), 
        .MSSPWRITE(MSSPWRITE), .MSSPSEL(MSSPSEL), .MSSPENABLE(
        MSSPENABLE), .MSSPRDATA({MSSPRDATA[31], MSSPRDATA[30], 
        MSSPRDATA[29], MSSPRDATA[28], MSSPRDATA[27], MSSPRDATA[26], 
        MSSPRDATA[25], MSSPRDATA[24], MSSPRDATA[23], MSSPRDATA[22], 
        MSSPRDATA[21], MSSPRDATA[20], MSSPRDATA[19], MSSPRDATA[18], 
        MSSPRDATA[17], MSSPRDATA[16], MSSPRDATA[15], MSSPRDATA[14], 
        MSSPRDATA[13], MSSPRDATA[12], MSSPRDATA[11], MSSPRDATA[10], 
        MSSPRDATA[9], MSSPRDATA[8], MSSPRDATA[7], MSSPRDATA[6], 
        MSSPRDATA[5], MSSPRDATA[4], MSSPRDATA[3], MSSPRDATA[2], 
        MSSPRDATA[1], MSSPRDATA[0]}), .MSSPREADY(MSSPREADY), 
        .MSSPSLVERR(MSSPSLVERR), .FABPADDR({FABPADDR[31], FABPADDR[30], 
        FABPADDR[29], FABPADDR[28], FABPADDR[27], FABPADDR[26], 
        FABPADDR[25], FABPADDR[24], FABPADDR[23], FABPADDR[22], 
        FABPADDR[21], FABPADDR[20], FABPADDR[19], FABPADDR[18], 
        FABPADDR[17], FABPADDR[16], FABPADDR[15], FABPADDR[14], 
        FABPADDR[13], FABPADDR[12], FABPADDR[11], FABPADDR[10], 
        FABPADDR[9], FABPADDR[8], FABPADDR[7], FABPADDR[6], 
        FABPADDR[5], FABPADDR[4], FABPADDR[3], FABPADDR[2], 
        FABPADDR[1], FABPADDR[0]}), .FABPWDATA({FABPWDATA[31], 
        FABPWDATA[30], FABPWDATA[29], FABPWDATA[28], FABPWDATA[27], 
        FABPWDATA[26], FABPWDATA[25], FABPWDATA[24], FABPWDATA[23], 
        FABPWDATA[22], FABPWDATA[21], FABPWDATA[20], FABPWDATA[19], 
        FABPWDATA[18], FABPWDATA[17], FABPWDATA[16], FABPWDATA[15], 
        FABPWDATA[14], FABPWDATA[13], FABPWDATA[12], FABPWDATA[11], 
        FABPWDATA[10], FABPWDATA[9], FABPWDATA[8], FABPWDATA[7], 
        FABPWDATA[6], FABPWDATA[5], FABPWDATA[4], FABPWDATA[3], 
        FABPWDATA[2], FABPWDATA[1], FABPWDATA[0]}), .FABPWRITE(
        FABPWRITE), .FABPSEL(FABPSEL), .FABPENABLE(FABPENABLE), 
        .FABPRDATA({FABPRDATA[31], FABPRDATA[30], FABPRDATA[29], 
        FABPRDATA[28], FABPRDATA[27], FABPRDATA[26], FABPRDATA[25], 
        FABPRDATA[24], FABPRDATA[23], FABPRDATA[22], FABPRDATA[21], 
        FABPRDATA[20], FABPRDATA[19], FABPRDATA[18], FABPRDATA[17], 
        FABPRDATA[16], FABPRDATA[15], FABPRDATA[14], FABPRDATA[13], 
        FABPRDATA[12], FABPRDATA[11], FABPRDATA[10], FABPRDATA[9], 
        FABPRDATA[8], FABPRDATA[7], FABPRDATA[6], FABPRDATA[5], 
        FABPRDATA[4], FABPRDATA[3], FABPRDATA[2], FABPRDATA[1], 
        FABPRDATA[0]}), .FABPREADY(FABPREADY), .FABPSLVERR(FABPSLVERR), 
        .SYNCCLKFDBK(FAB_CLK), .CALIBOUT(), .CALIBIN(GND_net), .FABINT(
        GND_net), .MSSINT({nc0, nc1, nc2, nc3, nc4, nc5, nc6, nc7}), 
        .WDINT(), .F2MRESETn(VCC_net), .DMAREADY({GND_net, GND_net}), 
        .RXEV(GND_net), .VRON(GND_net), .M2FRESETn(M2F_RESET_N), 
        .DEEPSLEEP(), .SLEEP(), .TXEV(), .GPI({GND_net, GND_net, 
        GND_net, GND_net, GND_net, GND_net, GND_net, GND_net, GND_net, 
        GND_net, GND_net, GND_net, GND_net, GND_net, GND_net, GND_net, 
        GND_net, GND_net, GND_net, GND_net, GND_net, GND_net, GND_net, 
        GND_net, GND_net, GND_net, GND_net, GND_net, GND_net, GND_net, 
        GND_net, GND_net}), .GPO({nc8, nc9, nc10, nc11, nc12, nc13, 
        nc14, nc15, nc16, nc17, nc18, nc19, nc20, nc21, nc22, nc23, 
        nc24, nc25, nc26, nc27, nc28, nc29, nc30, nc31, nc32, nc33, 
        nc34, nc35, nc36, nc37, nc38, nc39}), .UART0CTSn(GND_net), 
        .UART0DSRn(GND_net), .UART0RIn(GND_net), .UART0DCDn(GND_net), 
        .UART0RTSn(), .UART0DTRn(), .UART1CTSn(GND_net), .UART1DSRn(
        GND_net), .UART1RIn(GND_net), .UART1DCDn(GND_net), .UART1RTSn()
        , .UART1DTRn(), .I2C0SMBUSNI(GND_net), .I2C0SMBALERTNI(GND_net)
        , .I2C0BCLK(GND_net), .I2C0SMBUSNO(), .I2C0SMBALERTNO(), 
        .I2C1SMBUSNI(GND_net), .I2C1SMBALERTNI(GND_net), .I2C1BCLK(
        GND_net), .I2C1SMBUSNO(), .I2C1SMBALERTNO(), .MACM2FTXD({nc40, 
        nc41}), .MACF2MRXD({GND_net, GND_net}), .MACM2FTXEN(), 
        .MACF2MCRSDV(GND_net), .MACF2MRXER(GND_net), .MACF2MMDI(
        GND_net), .MACM2FMDO(), .MACM2FMDEN(), .MACM2FMDC(), .FABSDD0D(
        GND_net), .FABSDD1D(GND_net), .FABSDD2D(GND_net), .FABSDD0CLK(
        GND_net), .FABSDD1CLK(GND_net), .FABSDD2CLK(GND_net), 
        .FABACETRIG(FABACETRIG), .ACEFLAGS({ACEFLAGS[31], ACEFLAGS[30], 
        ACEFLAGS[29], ACEFLAGS[28], ACEFLAGS[27], ACEFLAGS[26], 
        ACEFLAGS[25], ACEFLAGS[24], ACEFLAGS[23], ACEFLAGS[22], 
        ACEFLAGS[21], ACEFLAGS[20], ACEFLAGS[19], ACEFLAGS[18], 
        ACEFLAGS[17], ACEFLAGS[16], ACEFLAGS[15], ACEFLAGS[14], 
        ACEFLAGS[13], ACEFLAGS[12], ACEFLAGS[11], ACEFLAGS[10], 
        ACEFLAGS[9], ACEFLAGS[8], ACEFLAGS[7], ACEFLAGS[6], 
        ACEFLAGS[5], ACEFLAGS[4], ACEFLAGS[3], ACEFLAGS[2], 
        ACEFLAGS[1], ACEFLAGS[0]}), .CMP0(), .CMP1(), .CMP2(), .CMP3(), 
        .CMP4(), .CMP5(), .CMP6(), .CMP7(), .CMP8(), .CMP9(), .CMP10(), 
        .CMP11(), .LVTTL0EN(GND_net), .LVTTL1EN(GND_net), .LVTTL2EN(
        GND_net), .LVTTL3EN(GND_net), .LVTTL4EN(GND_net), .LVTTL5EN(
        GND_net), .LVTTL6EN(GND_net), .LVTTL7EN(GND_net), .LVTTL8EN(
        GND_net), .LVTTL9EN(GND_net), .LVTTL10EN(GND_net), .LVTTL11EN(
        GND_net), .LVTTL0(), .LVTTL1(), .LVTTL2(), .LVTTL3(), .LVTTL4()
        , .LVTTL5(), .LVTTL6(), .LVTTL7(), .LVTTL8(), .LVTTL9(), 
        .LVTTL10(), .LVTTL11(), .PUFABn(), .VCC15GOOD(), .VCC33GOOD(), 
        .FCLK(MSS_ADLIB_INST_FCLK), .MACCLKCCC(
        MSS_ADLIB_INST_MACCLKCCC), .RCOSC(GND_net), .MACCLK(
        MSS_ADLIB_INST_MACCLK), .PLLLOCK(MSS_ADLIB_INST_PLLLOCK), 
        .MSSRESETn(MSS_RESET_0_MSS_RESET_N_Y), .GPOE({nc42, nc43, nc44, 
        nc45, nc46, nc47, nc48, nc49, nc50, nc51, nc52, nc53, nc54, 
        nc55, nc56, nc57, nc58, nc59, nc60, nc61, nc62, nc63, nc64, 
        nc65, nc66, nc67, nc68, nc69, nc70, nc71, nc72, nc73}), 
        .SPI0DO(), .SPI0DOE(), .SPI0DI(GND_net), .SPI0CLKI(GND_net), 
        .SPI0CLKO(), .SPI0MODE(), .SPI0SSI(GND_net), .SPI0SSO({nc74, 
        nc75, nc76, nc77, nc78, nc79, nc80, nc81}), .UART0TXD(), 
        .UART0RXD(GND_net), .I2C0SDAI(GND_net), .I2C0SDAO(), .I2C0SCLI(
        GND_net), .I2C0SCLO(), .SPI1DO(), .SPI1DOE(), .SPI1DI(GND_net), 
        .SPI1CLKI(GND_net), .SPI1CLKO(), .SPI1MODE(), .SPI1SSI(GND_net)
        , .SPI1SSO({nc82, nc83, nc84, nc85, nc86, nc87, nc88, nc89}), 
        .UART1TXD(), .UART1RXD(GND_net), .I2C1SDAI(GND_net), .I2C1SDAO(
        ), .I2C1SCLI(GND_net), .I2C1SCLO(), .MACTXD({nc90, nc91}), 
        .MACRXD({GND_net, GND_net}), .MACTXEN(), .MACCRSDV(GND_net), 
        .MACRXER(GND_net), .MACMDI(GND_net), .MACMDO(), .MACMDEN(), 
        .MACMDC(), .EMCCLK(MSS_ADLIB_INST_EMCCLK), .EMCCLKRTN(
        MSS_ADLIB_INST_EMCCLK), .EMCRDB({GND_net, GND_net, GND_net, 
        GND_net, GND_net, GND_net, GND_net, GND_net, GND_net, GND_net, 
        GND_net, GND_net, GND_net, GND_net, GND_net, GND_net}), .EMCAB({
        nc92, nc93, nc94, nc95, nc96, nc97, nc98, nc99, nc100, nc101, 
        nc102, nc103, nc104, nc105, nc106, nc107, nc108, nc109, nc110, 
        nc111, nc112, nc113, nc114, nc115, nc116, nc117}), .EMCWDB({
        nc118, nc119, nc120, nc121, nc122, nc123, nc124, nc125, nc126, 
        nc127, nc128, nc129, nc130, nc131, nc132, nc133}), .EMCRWn(), 
        .EMCCS0n(), .EMCCS1n(), .EMCOEN0n(), .EMCOEN1n(), .EMCBYTEN({
        nc134, nc135}), .EMCDBOE(), .ADC0(MSS_ACE_0_ADC0_Y), .ADC1(
        MSS_ACE_0_ADC1_Y), .ADC2(MSS_ACE_0_ADC2_Y), .ADC3(GND_net), 
        .ADC4(GND_net), .ADC5(GND_net), .ADC6(GND_net), .ADC7(GND_net), 
        .ADC8(GND_net), .ADC9(GND_net), .ADC10(GND_net), .ADC11(
        GND_net), .SDD0(MSS_ACE_0_SDD0_D), .SDD1(MSS_ACE_0_SDD1_D), 
        .SDD2(), .ABPS0(GND_net), .ABPS1(GND_net), .ABPS2(GND_net), 
        .ABPS3(GND_net), .ABPS4(GND_net), .ABPS5(GND_net), .ABPS6(
        GND_net), .ABPS7(GND_net), .ABPS8(GND_net), .ABPS9(GND_net), 
        .ABPS10(GND_net), .ABPS11(GND_net), .TM0(GND_net), .TM1(
        GND_net), .TM2(GND_net), .TM3(GND_net), .TM4(GND_net), .TM5(
        GND_net), .CM0(GND_net), .CM1(GND_net), .CM2(GND_net), .CM3(
        GND_net), .CM4(GND_net), .CM5(GND_net), .GNDTM0(GND_net), 
        .GNDTM1(GND_net), .GNDTM2(GND_net), .VAREF0(MSS_ACE_0_VAREF0_Y)
        , .VAREF1(MSS_ACE_0_VAREF1_Y), .VAREF2(GND_net), .VAREFOUT(), 
        .GNDVAREF(GND_net), .PUn(GND_net));
    INBUF_A MSS_ACE_0_ADC1 (.PAD(ADCDirectInput_1), .Y(
        MSS_ACE_0_ADC1_Y));
    MSSTOP_tmp_MSS_CCC_0_MSS_CCC MSS_CCC_0 (.CLKA(GND_net), .CLKA_PAD(
        GND_net), .CLKA_PADP(GND_net), .CLKA_PADN(GND_net), .CLKB(
        GND_net), .CLKB_PAD(GND_net), .CLKB_PADP(GND_net), .CLKB_PADN(
        GND_net), .CLKC(GND_net), .CLKC_PAD(GND_net), .CLKC_PADP(
        GND_net), .CLKC_PADN(GND_net), .GLA(), .GLB(), .GLC(), 
        .FAB_CLK(FAB_CLK), .YB(), .YC(), .MAINXIN(GND_net), .LPXIN(
        GND_net), .FAB_LOCK(), .MAC_CLK(GND_net), .RCOSC_CLKOUT(), 
        .MAINXIN_CLKOUT(), .LPXIN_CLKOUT(), .GLA0(MSS_ADLIB_INST_FCLK), 
        .MSS_LOCK(MSS_ADLIB_INST_PLLLOCK), .MAC_CLK_CCC(
        MSS_ADLIB_INST_MACCLKCCC), .MAC_CLK_IO(MSS_ADLIB_INST_MACCLK));
    INBUF_MSS #( .ACT_CONFIG(0), .ACT_PIN("M3") )  
        MSS_RESET_0_MSS_RESET_N (.PAD(MSS_RESET_N_0), .Y(
        MSS_RESET_0_MSS_RESET_N_Y));
    INBUF_A MSS_ACE_0_VAREF0 (.PAD(VAREF0), .Y(MSS_ACE_0_VAREF0_Y));
    OUTBUF_A MSS_ACE_0_SDD0 (.D(MSS_ACE_0_SDD0_D), .PAD(SDD_0));
    
endmodule
